CREATE OR REPLACE FUNCTION simplify_memory(integer) RETURNS text AS $$
select case
	when $1 < 1024 then $1 || ' KiB'
	when $1 < 1048576 then round($1 / 1024, 2) || ' MiB'
	when $1 < 1073741824 then round($1 / 1048576, 2) || ' GiB'
	else round($1 / 1073741824, 2) || ' TiB'
end;
$$ LANGUAGE SQL;

CREATE OR REPLACE FUNCTION simplify_hd(integer) RETURNS text AS $$
select case
	when $1 < 1000 then $1 || ' GB'
	else round($1 / 1000, 2) || ' TB' end;
$$ LANGUAGE SQL;