-- Compute the peak for every telecenter and than the average for each region
SELECT
    UPPER(f.region) AS id
    , INITCAP(f.region) AS cat
    , AVG(bytes_five_min_to_kbits_sec(f.down)) AS down
    , AVG(bytes_five_min_to_kbits_sec(f.up)) AS up
FROM
    (SELECT
        region
        , MAX(down_kbits) AS down
        , MAX(up_kbits) AS up
    FROM
        fact_net_usage_telecenter
    GROUP BY
        region
        , id_point
    ) AS f
GROUP BY
    f.region
ORDER BY
    f.region
;
